View Issue Details

IDProjectCategoryLast Update
0023241AI War 2[All Projects] Crash/ExceptionJun 29, 2020 11:30 am
ReporterGreatYngAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionnot fixable 
Product Version2.048 Bugfixes 
Fixed in Version 
Summary0023241: World Deserialization Error for specific save file
DescriptionI did the whole verify/repair integrity thing on my game (also tried updating it), and it always downloads 1.1 Mb of something but that doesn't fix it.
If I load the 'Autosave.48600' I get some errors in the ArcenDebugLog that I copied here into 'WorldDeserializationDebugLog'. This one seems to be the main problem, because trying to load any other save of that campaign after that specific autosave throws up the error shown in 'WorldDeserializationErrors'. I can load the other files just fine so long as I don't touch that particular autosave.
I'm pretty sure all saves of this campaign were made on the latest version, and the wonky autosave was definitely made on the latest version (2.048).
TagsNo tags attached.

Relationships

related to 0023340 resolvedx4000Bughunter Cannot load some saves from 2.084 

Activities

GreatYng

May 30, 2020 7:18 pm

reporter  

WorldDeserializationErrors.txt (1,591 bytes)
5/31/2020 12:56:41 AM (2.048) Mem: 549,371,904 Mode: Off Plat:WindowsPlayer
-----------------------------------NullReferenceException-----------------------------------
Object reference not set to an instance of an object

  at Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext.InitFactionLongRangePlanningContextIfNeedBe (Arcen.AIW2.Core.Faction faction) [0x00020] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext.ReinitializeDuringStartOrLoad () [0x0002f] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.ReinitializeDuringStartOrLoad () [0x0000d] in <cd03e35adbf545aa82aec4d4fc519102>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ClearAllTraceOfExistingGame () [0x00001] in <96495cf12d244b52bdff6e34a8b5c318>:0 
  at Arcen.Universal.Engine_Universal.ClearAllTraceOfExistingGame () [0x0008a] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.World.LoadWorldFromDiskInner (System.String SaveName, System.Byte[] Bytes, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x00001] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.Universal.World.LoadWorldFromDiskNoCampaignNameSet (System.String FullSaveName, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x0003d] in <f32e02f53c514759af8a0a555f98192e>:0 

inputBuffer:
this is a binary buffer, spitting it out wouldn't help much
~*~
this is a buzzsaw binary buffer, spitting it out wouldn't help much

WorldDeserializationDebugLog.txt (1,006 bytes)
5/31/2020 12:46:53 AM	Faction deserialization error at stage 2000 from serialized version 2.048 loading into new version 2.048, error: System.FormatException: string length expected was: 1048244730
  at Arcen.Universal.ArcenDeserializationBuffer.ReadString () [0x000f8] in <f32e02f53c514759af8a0a555f98192e>:0 
  at Arcen.AIW2.Core.Faction.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer) [0x00039] in <96495cf12d244b52bdff6e34a8b5c318>:0 
5/31/2020 12:46:53 AM	World_AIW2 deserialization error at stage 8000 from serialized version 2.048 loading into new version 2.048, error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.AIW2.Core.Faction.UpdateHostileToAndAlliedWithArrays () [0x000cf] in <96495cf12d244b52bdff6e34a8b5c318>:0 
  at Arcen.AIW2.Core.World_AIW2.DeserializeFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00749] in <96495cf12d244b52bdff6e34a8b5c318>:0 
Autosave.48600.save (2,352,461 bytes)

x4000Bughunter

Jun 29, 2020 11:30 am

administrator   ~0057451

Apologies for this... I think that we have since fixed the error, but it's not something that I can fix on this specific autosave. Please do let us know if you see it again!

Issue History

Date Modified Username Field Change
May 30, 2020 7:18 pm GreatYng New Issue
May 30, 2020 7:18 pm GreatYng File Added: Autosave.48600.save
May 30, 2020 7:18 pm GreatYng File Added: WorldDeserializationDebugLog.txt
May 30, 2020 7:18 pm GreatYng File Added: WorldDeserializationErrors.txt
Jun 27, 2020 11:03 am x4000Bughunter Relationship added related to 0023340
Jun 27, 2020 11:03 am x4000Bughunter Assigned To => x4000Bughunter
Jun 27, 2020 11:03 am x4000Bughunter Status new => assigned
Jun 29, 2020 11:30 am x4000Bughunter Status assigned => closed
Jun 29, 2020 11:30 am x4000Bughunter Resolution open => not fixable
Jun 29, 2020 11:30 am x4000Bughunter Note Added: 0057451